For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
DocsAPI Reference
DocsAPI Reference
  • API Reference
      • POSTAdd a Team member
      • POSTCreate a Team for the given Account
      • GETGet a Team
      • GETGet all Teams on an Account
      • GETGet Team Members
      • GETGet Teams for User
      • GETGet user membership for team

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceTeams

Create a Team for the given Account

POST
https://api.frame.io/v2/accounts/:account_id/teams
POST
/v2/accounts/:account_id/teams
1import requests
2
3url = "https://api.frame.io/v2/accounts/account_id/teams"
4
5payload = {}
6headers = {
7 "Authorization": "Bearer <token>",
8 "Content-Type": "application/json"
9}
10
11response = requests.post(url, json=payload, headers=headers)
12
13print(response.json())
1{
2 "account_id": "string",
3 "disable_sbwm_internally": false,
4 "creator_id": "string",
5 "storage": 0,
6 "default_font_color": "string",
7 "access": "private",
8 "font_color": "string",
9 "user_role": {},
10 "file_count": 0,
11 "default_session_watermark_template": {
12 "account_id": "string",
13 "app_default": false,
14 "creator_id": "string",
15 "id": "string",
16 "name": "string",
17 "watermark_blocks": [
18 {
19 "alpha": 0.5,
20 "data_points": [
21 {
22 "order": 1,
23 "type": "email",
24 "value": "string"
25 }
26 ],
27 "font_size": "medium",
28 "name": "string",
29 "position": "top_left",
30 "position_reference_point": "top_left",
31 "position_x": 1,
32 "position_y": 1,
33 "scroll_text": "none",
34 "text_alignment": "left",
35 "text_color": "#FFFFFF",
36 "text_shadow": false
37 }
38 ]
39 },
40 "link": "string",
41 "asset_lifecycle_policy": 1,
42 "upload_url": "string",
43 "admin_only_actions": {
44 "lifecycle": false
45 },
46 "deleted_at": "2024-01-15T09:30:00Z",
47 "default_background_color": "string",
48 "storage_limit": 1,
49 "location": "string",
50 "name": "string",
51 "default_color": "string",
52 "slack_webhook": {},
53 "image_64": "string",
54 "archived_storage": 0,
55 "image_128": "string",
56 "solo": false,
57 "account": {
58 "invoice_emails": [
59 "string"
60 ],
61 "city": "string",
62 "account_default_color": "string",
63 "company_name": "string",
64 "storage": 1,
65 "file_count": 1,
66 "owner": {
67 "digest_frequency": "string",
68 "image_32": "string",
69 "image_128": "string",
70 "from_google": true,
71 "mfa_enforced_at": "string",
72 "email": "string",
73 "name": "string",
74 "image_64": "string",
75 "timezone_value": "string",
76 "account_id": "string",
77 "updated_at": "string",
78 "image_256": "string",
79 "_type": "string",
80 "user_hash": "string",
81 "upload_url": "string",
82 "profile_image": "string",
83 "first_login_at": "string",
84 "joined_via": "string",
85 "id": "string",
86 "next_digest_date": "string",
87 "last_seen": "string",
88 "inserted_at": "string",
89 "from_adobe": true,
90 "avatar_color": "string",
91 "highest_account_role": "string",
92 "integrations": [
93 "string"
94 ],
95 "roles": {
96 "admin": true,
97 "id": "string",
98 "sales": true,
99 "support": true,
100 "service_desk": true
101 },
102 "user_default_color": "string"
103 },
104 "upload_url": "string",
105 "deleted_at": "2024-01-15T09:30:00Z",
106 "line1": "string",
107 "postal_code": "string",
108 "vat": "string",
109 "company_address": "string",
110 "lifetime_file_count": 1,
111 "state": "string",
112 "teams": [
113 {
114 "account_id": "string",
115 "disable_sbwm_internally": false,
116 "creator_id": "string",
117 "storage": 0,
118 "default_font_color": "string",
119 "access": "private",
120 "font_color": "string",
121 "user_role": {},
122 "file_count": 0,
123 "default_session_watermark_template": {
124 "account_id": "string",
125 "app_default": false,
126 "creator_id": "string",
127 "id": "string",
128 "name": "string",
129 "watermark_blocks": [
130 {
131 "alpha": 0.5,
132 "data_points": [
133 {
134 "order": 1,
135 "type": "email",
136 "value": "string"
137 }
138 ],
139 "font_size": "medium",
140 "name": "string",
141 "position": "top_left",
142 "position_reference_point": "top_left",
143 "position_x": 1,
144 "position_y": 1,
145 "scroll_text": "none",
146 "text_alignment": "left",
147 "text_color": "#FFFFFF",
148 "text_shadow": false
149 }
150 ]
151 },
152 "link": "string",
153 "asset_lifecycle_policy": 1,
154 "upload_url": "string",
155 "admin_only_actions": {
156 "lifecycle": false
157 },
158 "deleted_at": "2024-01-15T09:30:00Z",
159 "default_background_color": "string",
160 "storage_limit": 1,
161 "location": "string",
162 "name": "string",
163 "default_color": "string",
164 "slack_webhook": {},
165 "image_64": "string",
166 "archived_storage": 0,
167 "image_128": "string",
168 "solo": false,
169 "image_32": "string",
170 "inserted_at": "2024-01-15T09:30:00Z",
171 "updated_at": "2024-01-15T09:30:00Z",
172 "project_count": 0,
173 "duration": 0,
174 "team_image": "string",
175 "collaborator_count": 0,
176 "bio": "string",
177 "color": "string",
178 "email_branding": {
179 "accent_color": "string",
180 "background_color": "string",
181 "image": {
182 "bucket": "string",
183 "key": "string",
184 "type": "image/jpeg",
185 "uploaded": false
186 }
187 },
188 "folder_count": 0,
189 "dark_theme": false,
190 "default_session_watermark_template_id": "string",
191 "session_watermark_templates": [
192 {
193 "account_id": "string",
194 "app_default": false,
195 "creator_id": "string",
196 "id": "string",
197 "name": "string",
198 "watermark_blocks": [
199 {
200 "alpha": 0.5,
201 "data_points": [
202 {
203 "order": 1,
204 "type": "email",
205 "value": "string"
206 }
207 ],
208 "font_size": "medium",
209 "name": "string",
210 "position": "top_left",
211 "position_reference_point": "top_left",
212 "position_x": 1,
213 "position_y": 1,
214 "scroll_text": "none",
215 "text_alignment": "left",
216 "text_color": "#FFFFFF",
217 "text_shadow": false
218 }
219 ]
220 }
221 ],
222 "id": "string",
223 "member_limit": 1,
224 "frames": 0,
225 "member_count": 0,
226 "image_256": "string",
227 "background_color": "string"
228 }
229 ],
230 "image_64": "string",
231 "archived_storage": 1,
232 "image_128": "string",
233 "owner_id": "string",
234 "user_count": 1,
235 "locked_at": "2024-01-15T09:30:00Z",
236 "image": "string",
237 "team_count": 1,
238 "collaborator_role_count": 1,
239 "billing_emails": "string",
240 "image_32": "string",
241 "unpaid_at": "2024-01-15T09:30:00Z",
242 "inserted_at": "2024-01-15T09:30:00Z",
243 "updated_at": "2024-01-15T09:30:00Z",
244 "project_count": 1,
245 "duration": 1,
246 "delinquent_at": "2024-01-15T09:30:00Z",
247 "collaborator_count": 1,
248 "plan": {
249 "archived_storage_limit": 1,
250 "autoscaling": true,
251 "available_features": {
252 "archival_storage": true,
253 "custom_branded_emails": true,
254 "custom_branded_presentations": true,
255 "reel_player": true,
256 "secure_sharing": true,
257 "session_based_watermarking": true,
258 "team_only_comments": true
259 },
260 "collaborator_limit": 1,
261 "cost": 1,
262 "default_plan": true,
263 "deleted_at": "2024-01-15T09:30:00Z",
264 "enterprise": true,
265 "file_limit": 1,
266 "id": "string",
267 "inserted_at": "2024-01-15T09:30:00Z",
268 "lifetime_file_limit": 1,
269 "member_limit": 1,
270 "name": "string",
271 "payment_method": "stripe",
272 "period": "monthly",
273 "project_limit": 1,
274 "storage_limit": 1,
275 "team_limit": 1,
276 "tier": "free",
277 "title": "string",
278 "updated_at": "2024-01-15T09:30:00Z",
279 "user_limit": 1,
280 "user_max": 1,
281 "version": 1
282 },
283 "watermark": {
284 "image": {
285 "alpha": 0.5,
286 "image": {
287 "bucket": "string",
288 "key": "string",
289 "type": "image/jpeg",
290 "uploaded": false
291 },
292 "position": "top_left"
293 },
294 "text": {
295 "alpha": 0.5,
296 "lines": [
297 "string"
298 ],
299 "position": "top"
300 }
301 },
302 "folder_count": 1,
303 "id": "string",
304 "display_name": "string",
305 "country": "string",
306 "subscription": {
307 "account_id": "string",
308 "archived_storage_limit": 1,
309 "balance": 1,
310 "cancellation_option": "string",
311 "cancellation_reason": "string",
312 "cancelled_at": "2024-01-15T09:30:00Z",
313 "deleted_at": "2024-01-15T09:30:00Z",
314 "id": "string",
315 "inserted_at": "2024-01-15T09:30:00Z",
316 "last_payment_at": "2024-01-15T09:30:00Z",
317 "member_limit": 1,
318 "next_bill_at": "2024-01-15T09:30:00Z",
319 "on_trial": true,
320 "plan": {
321 "archived_storage_limit": 1,
322 "autoscaling": true,
323 "available_features": {
324 "archival_storage": true,
325 "custom_branded_emails": true,
326 "custom_branded_presentations": true,
327 "reel_player": true,
328 "secure_sharing": true,
329 "session_based_watermarking": true,
330 "team_only_comments": true
331 },
332 "collaborator_limit": 1,
333 "cost": 1,
334 "default_plan": true,
335 "deleted_at": "2024-01-15T09:30:00Z",
336 "enterprise": true,
337 "file_limit": 1,
338 "id": "string",
339 "inserted_at": "2024-01-15T09:30:00Z",
340 "lifetime_file_limit": 1,
341 "member_limit": 1,
342 "name": "string",
343 "payment_method": "stripe",
344 "period": "monthly",
345 "project_limit": 1,
346 "storage_limit": 1,
347 "team_limit": 1,
348 "tier": "free",
349 "title": "string",
350 "updated_at": "2024-01-15T09:30:00Z",
351 "user_limit": 1,
352 "user_max": 1,
353 "version": 1
354 },
355 "plan_id": "string",
356 "promotion_expires_at": "2024-01-15T09:30:00Z",
357 "promotion_id": "string",
358 "requires_autoscaling": true,
359 "storage_limit": 1,
360 "subscription_end_at": "2024-01-15T09:30:00Z",
361 "total_archived_storage_limit": 1,
362 "total_lifetime_file_limit": 1,
363 "total_member_limit": 1,
364 "total_project_limit": 1,
365 "total_storage_limit": 1,
366 "total_user_limit": 1,
367 "updated_at": "2024-01-15T09:30:00Z",
368 "user_limit": 1
369 },
370 "account_members": [
371 {
372 "accepted_at": "2024-01-15T09:30:00Z",
373 "account_id": "string",
374 "declined_at": "2024-01-15T09:30:00Z",
375 "deleted_at": "2024-01-15T09:30:00Z",
376 "inserted_at": "2024-01-15T09:30:00Z",
377 "role": "admin",
378 "updated_at": "2024-01-15T09:30:00Z",
379 "user_id": "string"
380 }
381 ],
382 "frames": 1,
383 "member_count": 1,
384 "image_256": "string"
385 },
386 "image_32": "string",
387 "inserted_at": "2024-01-15T09:30:00Z",
388 "updated_at": "2024-01-15T09:30:00Z",
389 "project_count": 0,
390 "duration": 0,
391 "team_image": "string",
392 "collaborator_count": 0,
393 "bio": "string",
394 "color": "string",
395 "email_branding": {
396 "accent_color": "string",
397 "background_color": "string",
398 "image": {
399 "bucket": "string",
400 "key": "string",
401 "type": "image/jpeg",
402 "uploaded": false
403 }
404 },
405 "folder_count": 0,
406 "dark_theme": false,
407 "default_session_watermark_template_id": "string",
408 "session_watermark_templates": [
409 {
410 "account_id": "string",
411 "app_default": false,
412 "creator_id": "string",
413 "id": "string",
414 "name": "string",
415 "watermark_blocks": [
416 {
417 "alpha": 0.5,
418 "data_points": [
419 {
420 "order": 1,
421 "type": "email",
422 "value": "string"
423 }
424 ],
425 "font_size": "medium",
426 "name": "string",
427 "position": "top_left",
428 "position_reference_point": "top_left",
429 "position_x": 1,
430 "position_y": 1,
431 "scroll_text": "none",
432 "text_alignment": "left",
433 "text_color": "#FFFFFF",
434 "text_shadow": false
435 }
436 ]
437 }
438 ],
439 "id": "string",
440 "member_limit": 1,
441 "frames": 0,
442 "member_count": 0,
443 "image_256": "string",
444 "background_color": "string"
445}

Create a new Team inside the given Account.

Limited to Pro and Enterprise plans

Was this page helpful?
Previous

Get a Team

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequiredformat: "uuid"

Request

Team create or update request
accessenumOptional
Allowed values:
account_idstringOptionalformat: "uuid"
admin_only_actionsobjectOptional
background_colorstringOptional
biostringOptional
colorstringOptional
colorslist of stringsOptional
dark_themebooleanOptionalDefaults to false
default_session_watermark_template_idstringOptionalformat: "uuid"
email_brandingobjectOptional
font_colorstringOptional
imageobjectOptional
linkstringOptional
locationstringOptional
member_limitintegerOptional
namestringOptional
slack_webhookobjectOptional
solobooleanOptionalDefaults to false
storage_limitintegerOptional
watermarkobjectOptional

Response

Team success response
account_idstringformat: "uuid"
disable_sbwm_internallybooleanDefaults to false
creator_idstringformat: "uuid"
storageintegerDefaults to 0
default_font_colorstring
accessenum
Allowed values:
font_colorstring
user_roleobject
file_countintegerDefaults to 0
default_session_watermark_templateobject
linkstring
asset_lifecycle_policyinteger
upload_urlstring
admin_only_actionsobject
deleted_atstringformat: "date-time"
default_background_colorstring
storage_limitinteger
locationstring
namestring
default_colorstring
slack_webhookobject
image_64string
archived_storageintegerDefaults to 0
image_128string
solobooleanDefaults to false
accountobject
image_32string
inserted_atstringformat: "date-time"
updated_atstringformat: "date-time"
project_countintegerDefaults to 0
durationintegerDefaults to 0
team_imagestring
collaborator_countintegerDefaults to 0
biostring
colorstring
email_brandingobject
folder_countintegerDefaults to 0
dark_themebooleanDefaults to false
default_session_watermark_template_idstringformat: "uuid"
session_watermark_templateslist of objects
idstringformat: "uuid"
member_limitinteger
framesintegerDefaults to 0
member_countintegerDefaults to 0
image_256string
background_colorstring

Errors

401
Unauthorized Error
404
Not Found Error